package cleii.cibo;

import java.util.ArrayList;

public class Tavolo {
	private Cameriere c;
	private Sommelier s;
	private ArrayList<Commanda> listaOrdini;
	
	public Tavolo(Cameriere c, Sommelier s) {
		this.c=c;
		this.s=s;
		listaOrdini = new ArrayList<>();
	}
	
	/*
	 * crea e aggiunge a listaOrdini una commanda con i parametri
	 * del metodo
	 */
	public void addCommanda (String descrizione, 
	        			double costoUnitario,
	        			int quantita) {
		listaOrdini.add(
				       new Commanda(descrizione,costoUnitario,quantita)
				       );
		
	}
	
	/*
	 * calcola il costo complessivo di tutte le commande del tavolo
	 */
	public double calcolaTotale() {
		double totale=0;
		for (Commanda c:listaOrdini) {
			totale += c.getCostoUnitario()*c.getQuantita();
		}
		return totale;
	}
	
	public Cameriere getCameriere() {
		return c;
	}
	
	public Sommelier getSommelier() {
		return s;
	}
}
